Bug 1499646 - use of <not/> immediately precludes virtualization in OpenStack
Summary: use of <not/> immediately precludes virtualization in OpenStack
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.5
Assignee: Dan Callaghan
QA Contact: Anwesha Chatterjee
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-09 07:53 UTC by Dan Callaghan
Modified: 2017-10-27 06:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-27 06:47:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2017-10-09 07:53:57 UTC
Version-Release number of selected component (if applicable):
24.4

Steps to Reproduce:
Submit recipe using:
<not><pool value="too-slow-for-beaker-dogfood"/></not>

Actual results:
Not virtualised in OpenStack

Expected results:
Should be sent to OpenStack

Additional info:
In needpropertyxml.py the XmlNot class is missing an implementation of virtualisable() method.

Comment 1 Dan Callaghan 2017-10-10 07:37:07 UTC
Needed to implement filter_openstack_flavors() too.

https://gerrit.beaker-project.org/5872

Comment 3 Anwesha Chatterjee 2017-10-20 05:43:57 UTC
verified on https://beaker-devel.app.eng.bos.redhat.com/

Comment 4 Dan Callaghan 2017-10-27 06:47:37 UTC
Beaker 24.5 has been released.


Note You need to log in before you can comment on or make changes to this bug.